# List brand kit subsections

Retrieves a list of subsections (fields) in a specific brand kit section. Each subsection contains guidelines that define that section's content. For example, the *Brand Context* section has subsections to define the brand's purpose, history, and more.
To return actual content in the subsections, the [Documents REST API](https://api-docs.sitecore.com/ai-skills/ai-document-management-rest-api) and [Pipeline REST API](https://api-docs.sitecore.com/ai-skills/ai-pipeline-rest-api) must have already been used to upload and process brand documents for the brand kit.

Endpoint: GET /api/brands/v2/organizations/{organizationId}/brandkits/{brandkitId}/sections/{sectionId}/fields
Version: v1.0
Security: HTTPBearer

## Security:

  - `HTTPBearer` (unknown)
    http bearer JWT

## Path parameters:

  - `organizationId` (string, required)
    The unique identifier of your organization.

 To get this value, in the [Sitecore Cloud Portal](https://portal.sitecorecloud.io/) URL, the `organizationId` comes after `organization=` .

  - `brandkitId` (string, required)
    The unique identifier of your brand kit.

 To get this value, use the [List brand kits](#operation/list_brand_kits) endpoint  to return the `id` of each brand kit in your organization. This is the same `id` returned when you create a brand kit using the [Create a brand kit](#operation/create_brand_kit) endpoint.

 Alternatively, you can open your brand kit in Stream. In the [Sitecore Cloud Portal](https://portal.sitecorecloud.io/) URL,  `brandkitId` comes after `brandkits/`.

  - `sectionId` (string, required)
    The unique identifier of your brand kit section.

 To get this value, use the [List brand kit sections](#operation/list_brand_kit_sections) endpoint. The `id` in the response is the section ID.

## Response 200:

  - `200` (unknown)
    Brand kit subsections retrieved successfully

## Response 200 fields (application/json):

  - `id` (string, required)
    The unique identifier of the brand kit subsection.
    Example: b2f2e1a1-295d-4d40-88f2-93bf545bb878

  - `name` (string, required)
    The name of the subsection in the brand kit.
    Example: Brand purpose

  - `type` (string, required)
    The type of brand kit subsection.
    Enum: "text", "array", "richArray"

  - `order` (any)
    The position of the subsection within the brand kit section. For example, in the *Global Goals* section, the `order` is `1` for the *Digital mandatories* subsection.
    Example: 1

  - `value` (any)
    The content of the subsection in the brand kit section. This can be a string, an array, or a rich text object.
    Example: The core reason for the brand existence is to fuel the potential of active individuals with clean, nutrient-dense energy solutions.

  - `intent` (any)
    The intent or prompt that instructs the AI in populating this subsection and retrieving information from existing brand knowledge based on uploaded brand documents.
    Example: The core reason for the brand existence.

  - `references` (any)
    An array of references used in this subsection. Each reference points to a brand document that provides context or content for the subsection.
    Example: []

  - `references.id` (string, required)
    The unique identifier of the reference document.
    Example: 2ad5c154-6404-49ed-9ffc-0603c360a5af

  - `references.path` (string, required)
    The location of the reference.
    Example: /path

  - `references.type` (string, required)
    The type of reference used.
    Example: document

  - `deletable` (any)
    Whether the subsection can be deleted.
    Example: true

  - `verified` (any)
    Whether the subsection's content has been verified by the user.
    Example: true

  - `createdOn` (any)
    The date and time when the subsection was created, formatted in ISO 8601.
    Example: 2025-06-18T12:46:12.718310Z

  - `createdBy` (any)
    The user who created the subsection.
    Example: mman

  - `updatedOn` (any)
    The date and time when the subsection was last updated, formatted in ISO 8601.
    Example: 2025-06-18T12:46:12.718310Z

  - `updatedBy` (any)
    The user who last updated the subsection.
    Example: mman

  - `aiEditable` (any)
    Whether the subsection can be edited by AI. If set to `true`, the AI will overwrite the subsection's content when brand documents are reprocessed.
    Example: true

  - `properties` (any)
    Additional properties for the subsection.

## Response 422:

  - `422` (unknown)
    Unprocessable entity

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

